Test Case dwi001- Full disk install PPC Alternate- 12.10. Yaboot installation failure

Bug #1043066 reported by Ron Mitchell

This bug report was converted into a question: question #537421: Test Case dwi001- Full disk install PPC Alternate- 12.10. Yaboot installation failure.

12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
Invalid
Medium
Unassigned

Bug Description

Machine: eMac G4 PPC - 1.12 Ghz G4 processor, 1 Gig RAM 80 Gig hard drive. Using entire internal HD for installation of Lubuntu Alternate PPC 12.10

Installation of yaboot loader failed. Instruction was to check /var/log/syslog.

Attempted to install yaboot again /dev/sda2. Attempt failed.

Continued the install without the boot loader

Was able to reboot the system with arguements from boot

/boot/vmlinux /dev/sda3

Boot of gui failed, but <cntl-alt-F1> succeeded.

I was unable to report the bug fron the computer where it occurred.

Ubuntu-bug --save=/var/log/syslog

yielded only "No pending crash reports.

Also attempted <Ubuntu-bug ubiquity> and <ubuntu-bug installer> neither command succeeded.

Ron Mitchell

Revision history for this message
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1043066

tags: added: iso-testing
Revision history for this message
Ron Mitchell (rm2892) wrote :

During the test case noted above, I had attached to my eMac an external USB drive which I use to boot OS X 10.5.8 (Leopard) if I need to.

Before a subsequent attempt to install the same build on the same machine, I removed the external USB drive. Yaboot then installed correctly.

Revision history for this message
ojordan (ojordan12345) wrote :

I've moved this to yaboot-installer, although the problem will be because ofpath can't give the openfirmware path of the USB device. It is similar although not the same as https://bugs.launchpad.net/ubuntu/+source/yaboot-installer/+bug/956481 .

affects: debian-installer (Ubuntu) → yaboot-installer (Ubuntu)
Revision history for this message
ojordan (ojordan12345) wrote :

I've reassigned this to ubiquity (even though the original bug report was using the debian-installer). This will cause ubiquity to not complete the installation properly (unless things have changed in quantal) and so ubiquity needs a clean way of handling failures from yaboot-installer. Installing the bootloader manually is not a problem (https://wiki.ubuntu.com/PowerPCFAQ#I.27ve_lost_yaboot.2C_what_can_I_do.3F ), but the failure to complete installation fully is. Ubiquity needs to display an error message that yaboot-installer has failed and move on.

affects: yaboot-installer (Ubuntu) → ubiquity (Ubuntu)
Revision history for this message
ojordan (ojordan12345) wrote :

Ron, could you find a way to test the attached file? The easiest way is via a live CD (although I know you are having difficulties at the moment). If you replace the contents of /usr/lib/ubiquity/yaboot-installer/yaboot-installer with the contents of the attached posinst file and then run ubiquity that would be great!

Revision history for this message
Ron Mitchell (rm2892) wrote : Re: [Bug 1043066] Test Case dwi001- Full disk install PPC Alternate- 12.10. Yaboot installation failure

Hi

ran the file from the live disk build of Sept 13.

It didn't change much. I have taken the attached photo to show you what I got.

Ron Mitchell

On 2012-09-16, at 4:28 AM, ojordan wrote:

> Ron, could you find a way to test the attached file? The easiest way is
> via a live CD (although I know you are having difficulties at the
> moment). If you replace the contents of /usr/lib/ubiquity/yaboot-
> installer/yaboot-installer with the contents of the attached posinst
> file and then run ubiquity that would be great!
>
> ** Attachment added: "postinst for yaboot-installer package"
> https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1043066/+attachment/3318260/+files/postinst
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1043066
>
> Title:
> Test Case dwi001- Full disk install PPC Alternate- 12.10. Yaboot
> installation failure
>
> Status in “ubiquity” package in Ubuntu:
> New
>
> Bug description:
> Machine: eMac G4 PPC - 1.12 Ghz G4 processor, 1 Gig RAM 80 Gig hard
> drive. Using entire internal HD for installation of Lubuntu Alternate
> PPC 12.10
>
> Installation of yaboot loader failed. Instruction was to check
> /var/log/syslog.
>
> Attempted to install yaboot again /dev/sda2. Attempt failed.
>
> Continued the install without the boot loader
>
> Was able to reboot the system with arguements from boot
>
> /boot/vmlinux /dev/sda3
>
> Boot of gui failed, but <cntl-alt-F1> succeeded.
>
> I was unable to report the bug fron the computer where it occurred.
>
> Ubuntu-bug --save=/var/log/syslog
>
> yielded only "No pending crash reports.
>
> Also attempted <Ubuntu-bug ubiquity> and <ubuntu-bug installer>
> neither command succeeded.
>
> Ron Mitchell
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1043066/+subscriptions

Revision history for this message
ojordan (ojordan12345) wrote :

The file was not to fix graphics, but fix USB drive handling.....can you insert your USB drive and run ubiquity?

There are at least 3 ways that you know about to fix your graphics with a live ISO.

Revision history for this message
Ron Mitchell (rm2892) wrote : Re: [Bug 1043066] Re: Test Case dwi001- Full disk install PPC Alternate- 12.10. Yaboot installation failure

I misunderstood. My apologies.

Attempted install from the live disk of Sept 13 with the postinstall file in place. Got an installer crash Bug 1051770 refers. This will probably end up as yet another duplicate, but I thought I better file it, as Apport might provide information as to what is going on.

Ron M.

On Sun, 16 Sep 2012 22:29:29 -0000
ojordan <email address hidden> wrote:

> The file was not to fix graphics, but fix USB drive handling.....can you
> insert your USB drive and run ubiquity?
>
> There are at least 3 ways that you know about to fix your graphics with
> a live ISO.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1043066
>
> Title:
> Test Case dwi001- Full disk install PPC Alternate- 12.10. Yaboot
> installation failure
>
> Status in “ubiquity” package in Ubuntu:
> New
>
> Bug description:
> Machine: eMac G4 PPC - 1.12 Ghz G4 processor, 1 Gig RAM 80 Gig hard
> drive. Using entire internal HD for installation of Lubuntu Alternate
> PPC 12.10
>
> Installation of yaboot loader failed. Instruction was to check
> /var/log/syslog.
>
> Attempted to install yaboot again /dev/sda2. Attempt failed.
>
> Continued the install without the boot loader
>
> Was able to reboot the system with arguements from boot
>
> /boot/vmlinux /dev/sda3
>
> Boot of gui failed, but <cntl-alt-F1> succeeded.
>
> I was unable to report the bug fron the computer where it occurred.
>
> Ubuntu-bug --save=/var/log/syslog
>
> yielded only "No pending crash reports.
>
> Also attempted <Ubuntu-bug ubiquity> and <ubuntu-bug installer>
> neither command succeeded.
>
> Ron Mitchell
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1043066/+subscriptions

--
Ron Mitchell <email address hidden>

Revision history for this message
ojordan (ojordan12345) wrote :

Unless I've made some stupid mistake (very likely and I haven't tested this myself), it is probably something like the new file isn't executable. If you have time, instead of renaming the files can you try opening the original file in leafpad and copying the text in there? Otherwise I will try and test this myself tonight to see why the new yaboot-installer causes the crash.

Revision history for this message
ojordan (ojordan12345) wrote :

I just installed okay using the file.....?....I haven't got a suitable USB drive to test though (sigh).

What I did:

Download file
Open postinst file in leafpad

Open yaboot-installer using command:
gksudo leafpad /usr/share/ubiquity/yaboot-installer/yaboot-installer

Delete contents of yaboot-installer
Transfer contents of postinst to yaboot-installer using copy/paste.

Save, close and run ubiquity.

Revision history for this message
ojordan (ojordan12345) wrote :

Attached is a patch which checks if 'ofpath' can find the openfirmware path of macos/macosx devices. If it can't then it doesn't add the devices to the yaboot.conf. Also, the bootstrap partition is tested and if the openfirmware path can't be found for that then nvram is not updated. These changes should stop yaboot-installer getting its knickers in a twist, although ideally ubiquity still needs to handle failure from yaboot-installer more gracefully. Also, (ideally) the user should be told that nvram has not been updated so they shouldn't expect an automatic boot into *ubuntu (they need to hold down the option/alt key instead).

Revision history for this message
Colin Watson (cjwatson) wrote :

Thanks! I'll handle this patch as part of bug 956481 instead, as you make it clear that the ubiquity part of this bug is about handling failures from yaboot-installer.

Changed in ubiquity (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Revision history for this message
Ubuntu Foundations Team Bug Bot (crichton) wrote :

The attachment "yaboot-installer/debian/posinst patch" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-reviewers team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
Revision history for this message
ojordan (ojordan12345) wrote :

I see the patch still hasn't made it into Ubiquity in 13.04. Any chance the latest yaboot-installer can be pushed into Ubiquity?

Revision history for this message
Dimitri John Ledkov (xnox) wrote :

The fixes that are part of bug 956481 are part of ubiquity in Ubuntu 13.04.
Are you seeing further failures from yaboot-installer not handled correctly by ubiquity?

Revision history for this message
ojordan (ojordan12345) wrote :

Are you sure? When I browsed the code of ubiquity, yaboot-installer hadn't been updated.

Revision history for this message
ojordan (ojordan12345) wrote :

I've just checked again and ubiquity does not contain the patch. Am I being stupid or something?

Revision history for this message
Dimitri John Ledkov (xnox) wrote :

Bug #956481 was fixed in the yaboot-installer upload with version number 1.1.22ubuntu2 on 2012-09-24.
Ubiquity upload on 2012-09-24 with version number 2.12.3 embeds the above yaboot-installer upload.
See: https://launchpad.net/ubuntu/+source/ubiquity/2.12.3
Here is the archive generated patch: https://launchpadlibrarian.net/117167205/ubiquity_2.12.2_2.12.3.diff.gz
Please note that lp:ubiquity only contains the manifest and does not have the duplicate source codes, those are dynamically embedded at source package preparation time.

Revision history for this message
ojordan (ojordan12345) wrote :

Ah, okay. I think I understand. I should of downloaded the source code instead of browsing the online version. Sorry for wasting your time.

Revision history for this message
Dimitri John Ledkov (xnox) wrote : Re: [Bug 1043066] Re: Test Case dwi001- Full disk install PPC Alternate- 12.10. Yaboot installation failure

On 29 March 2013 19:04, ojordan <email address hidden> wrote:
> Ah, okay. I think I understand. I should of downloaded the source code
> instead of browsing the online version. Sorry for wasting your time.
>

So can this bug be closed now? Does PPC installation work for you with
Raring images?

Regards,

Dmitrijs.

Changed in ubiquity (Ubuntu):
status: Triaged → Incomplete
Revision history for this message
Launchpad Janitor (janitor) wrote :

[Expired for ubiquity (Ubuntu) because there has been no activity for 60 days.]

Changed in ubiquity (Ubuntu):
status: Incomplete → Expired
Revision history for this message
neo (csae2608) wrote :

I am having also Yaboot Failure when using 14.04.x Lubuntu to install on a 2nd Harddrive . Debian Wheezy 7 (which would be close to Ubuntu 12.04) installs fine.

Changed in ubiquity (Ubuntu):
status: Expired → Invalid
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers